[SCM] visp branch, master, updated. debian/2.6.2-1-60-gffc7192

Thomas Moulard thomas.moulard at gmail.com
Sun Jun 23 01:01:50 UTC 2013


The following commit has been merged in the master branch:
commit 20afcfa0f6a55a9ffee5e104b466672cd673648d
Author: Thomas Moulard <thomas.moulard at gmail.com>
Date:   Tue Jun 18 18:16:17 2013 +0900

    Add autopkgtest support.

diff --git a/debian/changelog b/debian/changelog
index 0ccf37e..e3cbce4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,9 @@ visp (2.7.0-5) unstable; urgency=low
   * Disable libv4l-dev dependecy on hurd-i386.
   * Build documentation in override_dh_auto_build-indep.
   * Run tests but ignore failures for now.
+  * Enable test suite, make package depend on visp-images-data.
+  * Add autopkgtest support.
+  * Add autopkgtest "build" test: compile a minimal test.
 
  -- Thomas Moulard <thomas.moulard at gmail.com>  Thu, 13 Jun 2013 11:47:20 +0900
 
diff --git a/debian/control b/debian/control
index 786527f..566acd4 100644
--- a/debian/control
+++ b/debian/control
@@ -27,11 +27,13 @@ Build-Depends: debhelper (>= 9),
                libv4l-dev [!hurd-any],
                libusb-dev,
                libfreenect-dev,
-               libois-dev [linux-any]
+               libois-dev [linux-any],
+	       visp-images-data
 Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/visp.git
 Vcs-Git: git://git.debian.org/debian-science/packages/visp.git
 Homepage: http://www.irisa.fr/lagadic/visp/visp.html
+XS-Testsuite: autopkgtest
 
 Package: libvisp-dev
 Architecture: any
diff --git a/debian/rules b/debian/rules
index 146ee2e..5761018 100755
--- a/debian/rules
+++ b/debian/rules
@@ -78,4 +78,4 @@ override_dh_strip:
 	dh_strip -a --dbg-package=libvisp2-dbg
 
 override_dh_auto_test:
-	dh_auto_test || true
+	export VISP_INPUT_PATH=/usr/share/visp-images && dh_auto_test
diff --git a/debian/test/build b/debian/test/build
new file mode 100644
index 0000000..1759efb
--- /dev/null
+++ b/debian/test/build
@@ -0,0 +1,26 @@
+#!/bin/sh
+# autopkgtest check: Build and run a program against visp, to verify that the
+# headers and pkg-config file are installed correctly
+# (C) 2013 Thomas Moulard
+# Author: Thomas Moulard <thomas.moulard at gmail.com>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > glibtest.cpp
+#include <visp/vpColor.h>
+
+int main()
+{
+    vpColor red = vpColor::red;
+    return 0;
+}
+EOF
+
+gcc -o visptest visptest.cpp `pkg-config --cflags --libs visp`
+echo "build: OK"
+[ -x visptest ]
+./visptest
+echo "run: OK"
diff --git a/debian/test/control b/debian/test/control
new file mode 100644
index 0000000..777cf9d
--- /dev/null
+++ b/debian/test/control
@@ -0,0 +1,2 @@
+Tests: build
+Depends: libvisp-dev, build-essential

-- 
visp



More information about the debian-science-commits mailing list